Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling
[Java] Interface BuildAction

    @Incubating
    public interface BuildAction
    extends Serializable

An action that executes against a Gradle build and produces a result of type `T`.

You can execute a `BuildAction` using the ProjectConnection#action(BuildAction)#action(BuildAction) method.

Parameters:
  `` - The type of result produced by this action.

Since:
  1.8

Method Summary
`Object` | `execute(BuildController controller)` Executes this action and returns the result.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### execute

    public Object execute(BuildController controller)

  Executes this action and returns the result.
  Parameters:
    `controller` - The controller to use to access and control the build.
  Returns:
    The result
  Since:
    1.8

Gradle API 1.10